#!/usr/bin/perl -w
# Copyright (c) 2003 Trimble Navigation Limited
# $Id: firmwareDelete.cgi,v 1.4 2003/06/13 16:48:52 tom Exp $
# $Source: /home/CVS/fireballTop/fireballFS/root/usr/local/apache/htdocs/fireball/perl-scripts/sysadmin/firmwareDelete.cgi,v $

########################################################################
# firmwareDelete.cgi:
#
# Script to allow deleting firmware files.  
# Called with a parameter to delete a file.  Displays the "success" page
# and then switches back to the firmwareStatus page.
#
#   firmwareMaage.cgi?delete=name
#       Delete the named firmware file.
#
########################################################################

use strict ;
use CGI qw/:standard/;



use lib '..' ;
use Fireball ;

########################################################################
# Begin formatting the return document.
########################################################################
startPage( 'Delete Port' ) ;


my $statusMessage ;

########################################################################
# If this is a delete request, delete the file and display the
# next one.
########################################################################
if (param('delete'))
{
  # Process the delete request.
  my $fname=param('delete') ;
  system( "sudo rm /var/gps/incoming/$fname" ) ;

  $statusMessage = "Firmware file '$fname' has been deleted" ;
}
else
{
  $statusMessage = "No Firmware file to delete." ;
}
########################################################################


print h1( $statusMessage ) ;

print <<EOF ;
  <Script>
    parent.loadAfterDelay( '/perl-scripts/firmware.cgi', 1500) ;
  </Script>
EOF

print end_html() ;

########################################################################
# End of file firmwareDelete.cgi
########################################################################
