#!/usr/bin/perl -w
# Copyright (c) 2003 Trimble Navigation Limited
# $Id: setVsleep.cgi,v 1.4 2004/06/07 23:15:48 tom Exp $
# $Source: /home/CVS/fireballTop/fireballFS/root/usr/local/apache/htdocs/fireball/perl-scripts/sysadmin/setVsleep.cgi,v $

########################################################################
# setVsleep.cgi
#
# CGI script to implement the setting of the Vsleep threshold values.
# Called from perl-scripts/vsleep.cgi with parameters like this:
#
#   setVsleep.cgi?healthy=11.123&failing=10.000
#
# In response, this script parses the parameters, updates the 
# configuration file /etc/sysconfig/vleep, puts up an "Okay, I did it"
# message, and then switches back to the rconfigDisplay page.
########################################################################

use strict ;
use CGI qw/:standard/;

use lib '..' ;
use Fireball ;


########################################################################
# Begin formatting the return document.
########################################################################
startPage( 'Set Voltage Thresholds' ) ;

#print( '<BR>Parameters Received:<BR>' ) ;
#foreach my $p (param())
#{
#    print( "$p=", param($p), '<BR>' ) ;
#}
#print '<BR>' ;


my $vsleep = param('vsleep') ;

if ( defined( $vsleep )
 and ($vsleep ne '') 
   )
{
  print h2( "Setting New Shutdown Voltage." ) ;

  saveVsleep( $vsleep ) ;

  print <<EOF;
      <Script>
      parent.loadAfterDelay( 'rconfigDisplay.cgi', 2000) ;
      </Script>
EOF

}
else
{
  print h2('Invalid Parameters to setVsleep.cgi' ) ;
}

print end_html() ;

########################################################################
# end of file setVsleep.cgi
########################################################################
