#!/usr/bin/perl -w
# Copyright (c) 2003 Trimble Navigation Limited
# $Id: configUpload.cgi,v 1.7 2003/12/19 01:46:21 tom Exp $
# $Source: /home/CVS/fireballTop/fireballFS/root/usr/local/apache/htdocs/fireball/perl-scripts/configUpload.cgi,v $

########################################################################
# configUpload.cgi
# Script for controling Fireball Configuration Files
# 
# Via the Web-GUI interface we can create, delete, download, upload and 
# apply "configuration files".  These are collections of Fireball
# control settings.  The files reside in /etc/sysconfig/configFiles.
#
# This script puts up a form for the user to use for uploading a
# configuration file from his computer, via the browser, into the
# configuration file directory.
#
# No CGI parameters are expected.
# After supplying the path of the file on his 
# 
########################################################################

use strict ;
use CGI qw/:standard/;
use Fireball ;

titleWithHelp( 'Configuration File Upload',
               '/configFilesUpload.html'
             ) ;


#if (param())
#{
#  print "Parameters Received:<br />" ;
#  foreach my $p (param()) 
#  {
#    print "$p=",param($p),br() ;
#  }
#}



# If passed an upload parameter (value doesn't matter) we need to
# create the upload form.


######################################################################
# Create the html form with the file selection field and a few
# buttons.
######################################################################
print start_multipart_form( -name=>'theForm',
                      -action=>'/perl-scripts/sysadmin/configUpload.cgi'
                          ) ;

print "File to Upload ",
      filefield( -name=>'configFile', -size=>64, -maxlength=>256) ;

print hr() ;

print button( -name=>'Upload', 
              -value=>'Upload',
              -onClick=>'document.theForm.submit() ;'
            ) ;

print '&nbsp;' ;

# Back to the main Config File page if Canceled.
print button( -name=>'Cancel', 
              -value=>'Cancel',
              -onClick=>'parent.loadDataFrame( "configFiles.cgi" ) '
            ) ;

print end_form() ;

print end_html() ;

########################################################################
# end of file configUpload.cgi
########################################################################
