#!/usr/bin/perl -w
# Copyright (c) 2002 Trimble Navigation Limited
# $Id: streamStatus.cgi,v 1.1 2004/01/12 19:46:16 tom Exp $
# $Source: /home/CVS/fireballTop/fireballFS/root/usr/local/apache/htdocs/fireball/perl-scripts/streamStatus.cgi,v $

########################################################################
# StingerTest.cgi
#
# Allows arbitrary commands to be fed to the Stinger Control Interface,
# and displays the results returned by Stinger.
#
# Features a popup menu of known commands, and a text entry field to
# allow typing arbitrary modifications or parameters.
########################################################################

use strict ;
use CGI qw/:standard/;
use IO::Socket;
use Fireball ;

titleWithHelp( 'Stream Status',
                         '' # No Help
                       ) ;


print startform( -name=>"theForm" ) ;
# On Refresh, refresh this information.
print button( -name=>'Refresh', 
              -value=>'Refresh',
              -onClick=>'RefreshPage()'
            ) ;
print endform() ;

print <<EOF ;
<script>

/**********************************************************************/
function RefreshPage()
/**********************************************************************/
/* Called when the OK button is pressed.
 * Submits the contents of the form to the web server.
 * If the failsafe wakeup alarm is disabled and Power Saving mode is
 * Enabled, posts a warning to the user asking for confirmation.
 */
{
  parent.loadDataFrame( "/perl-scripts/streamStatus.cgi" ) ;
} /* end of RefreshPage() */


</script>
EOF

# The stream info comes from an inter-process (unix) socket, based
# on file /var/spool/gpssd_info.  Open a socket connection to that,
# triggering the output of the gpssd status information.

my $sun = sockaddr_un( '/var/spool/gpssd_info' ) ;

socket( SOCK, PF_UNIX, SOCK_STREAM, PF_UNSPEC) ; 
connect( SOCK, $sun ) ;
SOCK->autoflush(1) ;

print '<pre>' ;
while (<SOCK>)
{
  print $_ ;
}
close SOCK ;

print '</pre>' ;


print timestamp() ;

print end_html() ;
